Apache module problem solved, still can't use it

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Apache module problem solved, still can't use it

Postby Chiriel » 16. April 2016 19:18

XAMPP version is 7.0.4
Installation file type Application (exe)
Full name is xampp-win32-7.0.4-0-VC14-installer

My Operating System is Windows 10
64 bit Operating System/x64 processor
Home Edition
*Not sure where to find the service pack level

The installation path is C:\xampp\new_directory


I've reinstalled XAMPP a couple of times until I could see the modules in the specified folder. I see them now but Apache still won't start..

When I went to the log event viewer I saw that this error was listed
httpd.exe: Syntax error on line 37 of C:/xampp/new_directory/apache/conf/httpd.conf: ServerRoot must be a valid directory

Is there anyway I can fix this without having to reinstall XAMPP AGAIN??

Also, I don't know if this matters or no, but in the service portion of the administrative tools, I've seen Apache 2.4 and Apache Tomcat.Tomcat7
When I try to start those services, they won't work either. The error message says to contact the vendor. I haven't found anything on it in the event logs...

I tried to contact the vendor like it says, but I don't see any phone numbers. I've seen a couple of email links but I don't know which ones will help me with this specific problem.. I don't even know if I have to do anything about this at all. Can someone please help me?
Chiriel
 
Posts: 18
Joined: 15. April 2016 18:03
XAMPP version: 3.2.2
Operating System: Wndows 10

Re: Apache module problem solved, still can't use it

Postby gsmith » 16. April 2016 19:43

Chiriel wrote:When I went to the log event viewer I saw that this error was listed
httpd.exe: Syntax error on line 37 of C:/xampp/new_directory/apache/conf/httpd.conf: ServerRoot must be a valid directory



So open that httpd.conf file and on line 37 (ServerRoot) make sure it is set to "C:/xampp/new_directory/apache" and does not have a # in the beginning of the line (it shouldn't)
gsmith
 
Posts: 194
Joined: 29. November 2013 18:04
Location: San Diego
XAMPP version: 0.0.0
Operating System: Win XP to 2012R2/VS 6,9,11,14

Re: Apache module problem solved, still can't use it

Postby Chiriel » 16. April 2016 20:23

It's set to xampp/apache..

How do I change it? I won't let me edit the text there..
Chiriel
 
Posts: 18
Joined: 15. April 2016 18:03
XAMPP version: 3.2.2
Operating System: Wndows 10

Re: Apache module problem solved, still can't use it

Postby Altrea » 16. April 2016 22:44

execute the setup_xampp.bat script
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8298
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Apache module problem solved, still can't use it

Postby Chiriel » 17. April 2016 00:44

It says, "Sorry, nothing to do, Press any key to continue".

And when I press the key the bat file closes.
Chiriel
 
Posts: 18
Joined: 15. April 2016 18:03
XAMPP version: 3.2.2
Operating System: Wndows 10

Re: Apache module problem solved, still can't use it

Postby Chiriel » 17. April 2016 15:28

Just FTR.. I solved it... Apache's working now. FINALLY :lol:
Chiriel
 
Posts: 18
Joined: 15. April 2016 18:03
XAMPP version: 3.2.2
Operating System: Wndows 10


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 60 guests